cURL
curl --request POST \
--url https://api.01advertising.com/privacy/{partner} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reference_id": "<string>",
"postback_url": "<string>",
"first_name": "<string>",
"middle_name": "<string>",
"last_name": "<string>",
"emails": [
"jsmith@example.com"
],
"phone_numbers": [
"<string>"
],
"addresses": [
"<string>"
]
}
'import requests
url = "https://api.01advertising.com/privacy/{partner}"
payload = {
"reference_id": "<string>",
"postback_url": "<string>",
"first_name": "<string>",
"middle_name": "<string>",
"last_name": "<string>",
"emails": ["jsmith@example.com"],
"phone_numbers": ["<string>"],
"addresses": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
reference_id: '<string>',
postback_url: '<string>',
first_name: '<string>',
middle_name: '<string>',
last_name: '<string>',
emails: ['jsmith@example.com'],
phone_numbers: ['<string>'],
addresses: ['<string>']
})
};
fetch('https://api.01advertising.com/privacy/{partner}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>"
}{
"error": 123,
"message": "<string>"
}Privacy
Submit Request
Submit Privacy Opt Out Request
POST
/
privacy
/
{partner}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The partner identifier for which the privacy request is being submitted
Body
application/json
A unique identifier for the privacy request generated by the partner system
The URL to which the response will be sent once the request is processed
Response
A successful privacy request submission
Was this page helpful?
⌘I